Bug 1279156 - shutdown -X time broken, shuts down the system immediately
shutdown -X time broken, shuts down the system immediately
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-08 03:30 EST by Stanislav Paláček
Modified: 2015-12-17 02:24 EST (History)
9 users (show)

See Also:
Fixed In Version: systemd-222-10.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-17 02:24:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Paláček 2015-11-08 03:30:41 EST
Description of problem:


Version-Release number of selected component (if applicable): on Fedora 23


How reproducible: type to bash shutdown -P +20

Actual results: system is shutdown immediatley


Expected results: system shutdown after twenty minutes
Comment 1 Ondrej Oprala 2015-11-09 02:02:28 EST
You need to run it like this:
bash -c 'shutdown -P +20'
Comment 2 Stanislav Paláček 2015-11-09 03:38:19 EST
(In reply to Ondrej Oprala from comment #1)
> You need to run it like this:
> bash -c 'shutdown -P +20'

Also didn't working. I'm using this command daily. But after upgrading to fedora 23 it shutdown immediately. I take a video and found, that it shortly print this message: 'Failed to call ScheduleShutdown in logind, proceeding with immediate shutdown.'
Comment 3 Ondrej Oprala 2015-11-09 03:44:55 EST
I googled a bit and it seems this is a systemd thing (also shutdown has nothing to do with bash, it also belongs under the systemd package). I'm sure they'll backport the patch soon [1].

[1] https://github.com/systemd/systemd/issues/1120
Comment 4 Michal Sekletar 2015-11-09 05:11:31 EST
We need to backport 

https://patch-diff.githubusercontent.com/raw/systemd/systemd/pull/1157.patch
Comment 5 Fedora Update System 2015-12-14 06:17:31 EST
systemd-222-9.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-76fc543765
Comment 6 Fedora Update System 2015-12-14 07:28:58 EST
systemd-222-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-76fc543765
Comment 7 Fedora Update System 2015-12-15 05:53:58 EST
systemd-222-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update systemd'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-76fc543765
Comment 8 Fedora Update System 2015-12-17 02:23:10 EST
systemd-222-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.